| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::FFmpegLauncher Class Reference
Inheritance diagram for Digikam::FFmpegLauncher:

## Public Member Functions
| FFmpegLauncher (QObject *const parent=nullptr)
void | encodeFrames ()
| Encode frames in a separated thread.
void | setSettings (VidSlideSettings *const settings)
| Set encoding frames settings.
QTime | soundTrackLength (const QString &audioPath)
| Return the length of an audio file.
QMap< QString, QString > | supportedCodecs ()
| Get the map of supported codecs with features.
QMap< QString, QString > | supportedFormats ()
| Get the map of supported formats with features.
Public Member Functions inherited from Digikam::ProcessLauncher
| ProcessLauncher (QObject *const parent=nullptr)
qint64 | elapsedTime () const
| Return the elapsed time in ms to run the process.
int | exitCode () const
| Return the exit code from the process.
QString | output () const
| Return the process output as string.
void | setArguments (const QStringList &args)
void | setConsoleTraces (bool b)
| If turned on, all traces from the process are printed on the console.
void | setProgram (const QString &prog)
void | setTimeOut (int msecs)
void | setWorkingDirectory (const QString &dir)
void | startProcess ()
| Start the process.
bool | success () const
| Return true if the process is started and completed without error.

## Additional Inherited Members
Signals inherited from Digikam::ProcessLauncher
void | signalComplete (bool success, int exitCode)

## Member Function Documentation

## ◆ soundTrackLength()

QTime Digikam::FFmpegLauncher::soundTrackLength | ( | const QString & | audioPath | ) |

If duration cannot be decoded, it returns a null QTime.